<?php $replies = Wo_CountCommentReplies($wo['comment']['id']);
if ($wo['config']['shout_box_system'] == 1 && $wo['story']['postPrivacy'] == 4 && $wo['comment']['publisher']['id'] == $wo['story']['user_id']) {
  $anonymous = true;
   $wo['comment']['publisher']['username'] = 'anonymous';
   $wo['comment']['publisher']['name'] = $wo['lang']['anonymous'];
   $wo['comment']['publisher']['avatar'] = Wo_GetMedia('upload/photos/incognito.png');
   $wo['comment']['publisher']['verified'] = 0;
   $wo['comment']['publisher']['type'] = '';
   $wo['comment']['publisher']['url'] = 'javascript:void(0)';
}
?>
<div class="comment comment-container" id="comment_<?php echo $wo['comment']['id'];?>" data-comment-id ="<?php echo $wo['comment']['id'];?>">
	<?php if (!isset($anonymous)) { ?>
		<a onclick="InjectAPI('{&quot;profile_id&quot; : &quot;<?php echo $wo['comment']['publisher']['id']?>&quot;, &quot;type&quot;:&quot;<?php echo $wo['comment']['publisher']['type']?>&quot;}', event);" class="<?php echo Wo_RightToLeft('pull-left'); ?>" href="<?php echo $wo['comment']['publisher']['url']?>">
			<img class="avatar" src="<?php echo $wo['comment']['publisher']['avatar']?>" alt="avatar">
		</a>
	<?php }else{ ?>
		<img class="avatar <?php echo Wo_RightToLeft('pull-left'); ?>" src="<?php echo $wo['comment']['publisher']['avatar']?>" alt="avatar">
	<?php } ?>
	<div class="comment-body">
		<div class="comment-heading">
			<div class="tag_comm_body">
				<div class="tag_comm_body_top">
					<?php if (!isset($anonymous)) { ?>
						<span class="user-popover" data-id="<?php echo $wo['comment']['publisher']['id'];?>" data-type="<?php echo $wo['comment']['publisher']['type'];?>">
							<a href="<?php echo $wo['comment']['publisher']['url']?>" data-ajax="?link1=timeline&u=<?php echo $wo['comment']['publisher']['username'];?>" onclick="InjectAPI('{&quot;profile_id&quot; : &quot;<?php echo $wo['comment']['publisher']['id']?>&quot;, &quot;type&quot;:&quot;<?php echo $wo['comment']['publisher']['type']?>&quot;}', event);">
								<h4 class="user"><?php echo $wo['comment']['publisher']['name']?></h4>
							</a>
						</span>
					<?php }else{ ?>
						<h4 class="user"><?php echo $wo['comment']['publisher']['name']?></h4>
					<?php } ?>
					<?php  if($wo['comment']['publisher']['verified'] == 1) {   ?>
						<span class="verified-color fs-14" data-toggle="tooltip" title="<?php echo $wo['lang']['verified_user'];?>">&nbsp;<svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 512 512"><path d="m256 0c-141.164062 0-256 114.835938-256 256s114.835938 256 256 256 256-114.835938 256-256-114.835938-256-256-256zm0 0" fill="#2196f3"></path><path d="m385.75 201.75-138.667969 138.664062c-4.160156 4.160157-9.621093 6.253907-15.082031 6.253907s-10.921875-2.09375-15.082031-6.253907l-69.332031-69.332031c-8.34375-8.339843-8.34375-21.824219 0-30.164062 8.339843-8.34375 21.820312-8.34375 30.164062 0l54.25 54.25 123.585938-123.582031c8.339843-8.34375 21.820312-8.34375 30.164062 0 8.339844 8.339843 8.339844 21.820312 0 30.164062zm0 0" fill="#fff"></path></svg></span>
					<?php } ?>
				</div>
				<div class="valign">
					<div class="comment-text <?php if (!empty($wo['comment']['c_file'])): ?>border_zero<?php endif ?>"><span class="tag_trim_comm_text"><?php echo $wo['comment']['text']?></span></div>
					<div class="comment_edele_options">
						<?php if ( $wo['config']['comment_reports'] == 1 && $wo['comment']['onwer'] !== true){ ?>
							<span class="pointer comment-icons" id="reportComment<?php echo $wo['comment']['id']?>" onclick="Wo_ReportComment(<?php echo $wo['comment']['id']?>);" title="<?php echo $wo['lang']['report_comment']; ?>"><svg xmlns="http://www.w3.org/2000/svg" height="15" viewBox="0 0 24 24" width="15"><path fill="currentColor" opacity=".6" d="M20 2H4.01c-1.1 0-2 .9-2 2v18L6 18h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-7 12h-2v-2h2v2zm0-5c0 .55-.45 1-1 1s-1-.45-1-1V7c0-.55.45-1 1-1s1 .45 1 1v2z"/></svg></span>
						<?php } ?>
						<?php if ($wo['comment']['onwer'] === true) { ?>
							<span class="pointer comment-icons" id="editComment" onclick="Wo_OpenCommentEditBox(<?php echo $wo['comment']['id']?>);" title="<?php echo $wo['lang']['edit_comment']; ?>"><svg xmlns="http://www.w3.org/2000/svg" height="15" viewBox="0 0 24 24" width="15"><path fill="currentColor" opacity=".6" d="M9.243 19H21v2H3v-4.243l9.9-9.9 4.242 4.244L9.242 19zm5.07-13.556l2.122-2.122a1 1 0 0 1 1.414 0l2.829 2.829a1 1 0 0 1 0 1.414l-2.122 2.121-4.242-4.242z"/></svg></span>
						<?php } ?>
						<?php if ($wo['comment']['post_onwer'] === true || $wo['comment']['onwer'] === true || Wo_IsAdmin()) {?>
							&nbsp;&nbsp;<span class="pointer" id="deleteComment" onclick="Wo_DeleteComment(<?php echo $wo['comment']['id']?>);" title="<?php echo $wo['lang']['delete_comment']; ?>"><svg xmlns="http://www.w3.org/2000/svg" height="15" viewBox="0 0 24 24" width="15"><path fill="currentColor" opacity=".6" d="M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm4 11H8c-.55 0-1-.45-1-1s.45-1 1-1h8c.55 0 1 .45 1 1s-.45 1-1 1z"/></svg></span>
						<?php } ?>
					</div>
				</div>
				<?php if (!empty($wo['comment']['c_file'])): ?>
					<div class="comment-image">
						<span data-href="<?php echo Wo_GetMedia($wo['comment']['c_file']);?>" onclick="Wo_OpenLighteBox(this,event);" class="pointer"><img src="<?php echo Wo_GetMedia($wo['comment']['c_file']);?>" alt="Comment image"></span>
					</div>
				<?php endif ?>
				<?php if (!empty($wo['comment']['record'])): ?>
					<div class="comment-record">
						<audio controls preload="auto">
							<source src="<?php echo Wo_GetMedia($wo['comment']['record']);?>" type="audio/wav">
						</audio>
					</div>
				<?php endif;?>
			</div>
			<div class="clear"></div>
		</div>

        <?php if ($wo['config']['second_post_button'] == 'reaction') { ?>
            <!-- reaction -->
            <div class="like-stat stat-item post-like-status <?php echo Wo_RightToLeft('pull-left'); ?> tag_post_comm_reacts">
				<span class="like-emo comment-reactions-icons-<?php echo $wo['comment']['id']; ?>">
					<?php echo Wo_GetPostReactions($wo['comment']['id'],"comment");?>
				</span>
            </div>
        <?php } ?>
		
		<span class="comment-options" <?php if ($wo['loggedin'] != true) { ?>onclick="location.href= '<?php echo $wo['config']['site_url'];?>'"<?php } ?>>
			<?php if ($wo['config']['second_post_button'] == 'reaction') { ?>
				<div class="wo-reaction-comment stat-item" id="comment_reactions" data-id="<?php echo $wo['comment']['id']; ?>">
					<span class="like-btn like-btn-comment" data-id="<?php echo $wo['comment']['id']; ?>">
						<?php
						if ($wo['loggedin'] && Wo_IsReacted($wo['comment']['id'], $wo['user']['user_id'], "comment") === true) {    
							echo '<span class="comment-status-reaction-'.$wo['comment']['id'].' active-like unselectable bold">'.$wo['lang']['liked'].' <span class="c_likes-'.$wo['comment']['id'].'"></span></span>'; 
						} else {   
							echo '<span class="comment-status-reaction-'.$wo['comment']['id'].' unselectable bold">'.$wo['lang']['like'].' <span class="c_likes'.$wo['comment']['id'].'"></span></span>';
						}    
						?>
					</span>
					<ul class="reactions-box reactions-comment-container-<?php echo $wo['comment']['id']; ?>" data-id="<?php echo $wo['comment']['id']; ?>">
						<?php if (!empty($wo['reactions_types'])) {
							foreach ($wo['reactions_types'] as $key => $value) {
							if ($value['status'] == 1) {
						?>
							<li class="valign reaction reaction-<?php echo $value['id'];?>" data-reaction="<?php echo $value['name'];?>" data-reaction-id="<?php echo $value['id'];?>" data-reaction-lang="<?php echo $value['name'];?>" data-post-id="<?php echo $wo['story']['id']; ?>" onclick="Wo_RegisterCommentReaction(<?php echo $wo['comment']['id']; ?>,<?php echo $value['id'];?>);">
								<?php if (preg_match("/<[^<]+>/",$value['wowonder_icon'],$m)) {
									echo($value['wowonder_icon']);
									}
								else{ ?>
									<img src="<?php echo($value['wowonder_icon']) ?>">
								<?php } ?>
							</li>
						<?php } } } ?>
					</ul>
				</div>
			<?php }else{ ?>
				<span class="comment-icons">
					<span class="pointer" id="LikeComment" onclick="Wo_RegisterCommentLike(<?php echo $wo['comment']['id']; ?>);">
						<?php if($wo['comment']['is_comment_liked'] !== true) { ?>
							<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-thumbs-up"><path d="M14 9V5a3 3 0 0 0-3-3l-4 9v11h11.28a2 2 0 0 0 2-1.7l1.38-9a2 2 0 0 0-2-2.3zM7 22H4a2 2 0 0 1-2-2v-7a2 2 0 0 1 2-2h3"></path></svg>
						<?php } else { ?>
							<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-thumbs-up active-like"><path d="M14 9V5a3 3 0 0 0-3-3l-4 9v11h11.28a2 2 0 0 0 2-1.7l1.38-9a2 2 0 0 0-2-2.3zM7 22H4a2 2 0 0 1-2-2v-7a2 2 0 0 1 2-2h3"></path></svg>
						<?php } ?>
					</span>
					<span id="comment-likes" class="pointer" onclick="Wo_OpenPostLikedUsers(<?php echo $wo['comment']['id']; ?>,'comment')"><?php echo $wo['comment']['comment_likes'];?></span>
				</span>
				<span class="middot">·</span>
				<span class="pointer" id="WonderComment" onclick="Wo_RegisterCommentWonder(<?php echo $wo['comment']['id']; ?>);">
					<?php if($wo['comment']['is_comment_wondered'] !== true) { ?>
						<?php echo $wo['second_post_button_icon'];?>
					<?php } else {  ?>
						<span class="active-wonder"><?php echo $wo['second_post_button_icon'];?></span>
					<?php } ?>
				</span>
				<span id="comment-wonders" class="pointer" onclick="Wo_OpenPostWonderedUsers(<?php echo $wo['comment']['id']; ?>,'comment')"><?php echo $wo['comment']['comment_wonders'];?></span>
			<?php } ?>
			<?php if ($replies == 0) { ?>
				<span class="middot">·</span>
				<span class="pointer bold" id="ReplyComment" onclick="Wo_OpenReplyBox(<?php echo $wo['comment']['id']; ?>);"><?php echo $wo['lang']['reply']?></span>
			<?php } ?>
			<span class="middot">·</span>
			
			<?php if (!empty($wo['story']['stream_name']) && $wo['comment']['time'] <= $wo['story']['live_time']) {
				$video_time = GetVideoTime($wo['story']['time'],$wo['comment']['time']);
				$time = $video_time['time'];
				$current_time = $video_time['current_time'];
			?>
				<span class="time pointer" title="<?php echo date('c',$wo['comment']['time']);?>" onclick="go_to_duration(<?php echo($wo['story']['id']) ?>,<?php echo $current_time; ?>)"><?php echo $time ?></span>
			<?php  }else{ ?>
				<span class="time ajax-time" title="<?php echo date('c',$wo['comment']['time']);?>"><?php echo $wo['comment']['time']?></span>
			<?php } ?>
		</span>
		<div class="comment-edit">
			<textarea onkeydown="textAreaAdjust(this, 26)" class="edit-box form-control" onkeyup="Wo_EditComment(this.value,<?php echo $wo['comment']['id']?>, event)" placeholder="<?php echo $wo['lang']['edit_comment']; ?>" dir="auto" id="edit_comment_<?php echo $wo['comment']['id']?>"><?php echo $wo['comment']['Orginaltext']?></textarea>
		</div>
		<div class="comment-replies" <?php if ($wo['loggedin'] != true) { ?>onclick="location.href= '<?php echo $wo['config']['site_url'];?>'"<?php } ?>>
			<div class="comment-replies-text">
				<div class="reply-container"></div>
			</div>
			<?php if ($replies > 0) { ?>
				<div class="view-more-replies" onclick="Wo_ViewMoreReplies(<?php echo $wo['comment']['id'];?>);" >
					<svg xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 0 24 24" width="24"><path fill="currentColor" d="M7 7.56c0-.94-1.14-1.42-1.81-.75L.71 11.29c-.39.39-.39 1.02 0 1.41l4.48 4.48c.67.68 1.81.2 1.81-.74 0-.28-.11-.55-.31-.75L3 12l3.69-3.69c.2-.2.31-.47.31-.75zM13 9V7.41c0-.89-1.08-1.34-1.71-.71L6.7 11.29c-.39.39-.39 1.02 0 1.41l4.59 4.59c.63.63 1.71.18 1.71-.71V14.9c5 0 8.5 1.6 11 5.1-1-5-4-10-11-11z"/></svg> <?php echo $replies;?> <?php echo ($replies == 1)? $wo['lang']['reply'] : $wo['lang']['replies']?>
				</div>
			<?php } ?>
			<?php if ($wo['loggedin'] == true) { ?>
				<div class="comment-reply">
					<div class="wo_commreply_combo valign" id="post-<?php echo $wo["comment"]["id"];?>">
						<img class="avatar" src="<?php echo $wo['user']['avatar'];?>"/>
						<div class="valign">
							<textarea rows="1" class="auto-resize reply-box form-control textarea comment-reply-textarea" onkeydown="Wo_RegisterReply(this.value,<?php echo $wo['comment']['id']; ?>,<?php echo $wo['story']['publisher']['user_id']; ?>, event, <?php echo (!empty($wo['story']['publisher']['page_id'])) ? $wo['story']['publisher']['page_id'] : '0'; ?>)" placeholder="<?php echo $wo['lang']['reply_to_comment'];?>" dir="auto"></textarea>
							<div class="valign image-comment">
								<div class="dropdown">
									<span data-toggle="dropdown" role="button" aria-expanded="false" onclick="load_ajax_reply_emojii('<?php echo $wo["comment"]["id"];?>','<?php echo $wo['config']['theme_url'];?>/emoji/');" class="btn emo-comment2" >
										<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20"><circle cx="12" cy="12" r="10" fill="currentColor" opacity="0.4"></circle><path fill="currentColor" d="M12,17.0918a5.67258,5.67258,0,0,1-3.64258-1.32618.99954.99954,0,1,1,1.28516-1.53124,3.76605,3.76605,0,0,0,4.71484,0,.99954.99954,0,1,1,1.28516,1.53124A5.67258,5.67258,0,0,1,12,17.0918Z"></path><circle cx="15" cy="10" r="1" fill="currentColor"></circle><circle cx="9" cy="10" r="1" fill="currentColor"></circle></svg>
									</span>
									<ul class="dropdown-menu dropdown-menu-right tag_scroll emo-comment-container-<?php echo $wo["comment"]["id"];?>" id="wo_comm_emojis"></ul>
								</div>
								<div class="comment-btn-wrapper">
									<svg class="btn" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20" onclick="document.getElementById('comment_reply_image_<?php echo $wo['comment']['id'];?>').click(); return false"><path fill="currentColor" opacity="0.4"  d="M19,2H5C3.34515,2.00483,2.00483,3.34515,2,5v8.86l3.88-3.88c1.18747-1.13,3.05253-1.13,4.24,0l2.87139,2.887l0.88752-0.88751c1.17344-1.16662,3.06874-1.16662,4.24218,0L22,15.8584V5C21.99517,3.34515,20.65485,2.00483,19,2z"></path><path fill="currentColor" d="M10.12,9.98c-1.18747-1.13-3.05253-1.13-4.24,0L2,13.86V19c0.00484,1.65484,1.34516,2.99516,3,3h14c0.81512-0.00034,1.59497-0.3325,2.16-0.92L10.12,9.98z"></path><path fill="currentColor" opacity="0.2" d="M22,15.8584l-3.87891-3.87891c-1.17345-1.1666-3.06873-1.1666-4.24218,0L12.99139,12.867l8.16425,8.20856C21.69776,20.5208,22.00089,19.77567,22,19V15.8584z"></path></svg>
								</div>
								<form action="#" method="post" class="hidden">
									<input accept="image/x-png, image/jpeg" type="file" name="comment_image" id="comment_reply_image_<?php echo $wo['comment']['id']; ?>" onchange="Wo_UploadReplyCommentImage(<?php echo $wo['comment']['id']; ?>);">
									<input type="hidden" value="" id="comment_src_image_<?php echo $wo['comment']['id']; ?>">
								</form>
							</div>
						</div>
					</div>
					<div class="comment-reply-image-<?php echo $wo['comment']['id']; ?> comment-image-con"></div>
					<div class="clear"></div>
					<div id="hidden_inputbox_comment_reply"></div>
				</div>
			<?php } ?>
		</div>
	</div>
	<?php echo Wo_LoadPage('modals/delete-comment');?>
	<script>
		$(function () {
			$("#comment_<?php echo $wo['comment']['id'];?> .tag_trim_comm_text").readmore({
				speed: 75,
				moreLink: '<a href="#" class="hash font-13"><?php echo $wo["lang"]["read_more"];?></a>',
				lessLink: '<a href="#" class="hash font-13"><?php echo $wo["lang"]["read_less"];?></a>',
			});
			$("#comment_<?php echo $wo['comment']['id']; ?> .comment-reply input").triggeredAutocomplete({
				hidden: '#hidden_inputbox_comment_reply',
				source: Wo_Ajax_Requests_File() + "?f=mention",
				trigger: "@"
			});
		});
	</script>
</div>